<template>
  <div class="startgame">
    <Header :title='"Spiel \"" + gameName + "\" wurde erstellt"' msg="Du kannst den Code an Personen senden, damit diese dem Spiel beitreten können." title_right="" />
    <div class="container">
        <h1>Spielcode: {{ gameCode }}</h1>
        <b-button @click="$router.push('/createbuzzwordcard')" size="lg" variant="outline-primary" class="start-button">Spiel starten</b-button>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import Header from '@/components/Header.vue'
import { mapState, mapActions } from 'vuex'

export default {
  name: 'startgame',
  components: {
    Header
  },
  computed: {
    ...mapState ({
      gameCode: state => state.game.code,
      gameName: state => state.game.name,
    }),
  },
}
</script>

<style scoped>
.start-button {
  margin-top: 2rem;
}
</style>
